This forum is in READ-ONLY mode.
You can look around, but if you want to ask a new question, please use Stack Overflow.

question about upgrading from 1.0 to 1.1

Discussion specific to symfony 1.1.x stable

question about upgrading from 1.0 to 1.1

by athens52 » Wed Jul 20, 2011 12:29 pm

Good day.

Now i try to upgrade my project from Symfony 1.0 to Symfony 1.1 and there are some problems in this way. One problem that i just move code from my application config.php file to myAppConfiguration->Configure() method. And there where some rows like this

include($configCache->checkConfig(sfConfig::get('sf_config_dir') . DIRECTORY_SEPARATOR . 'i18n_adds.yml'));

And when handler try to process this yml file (so it made in myAppConfiguration class constructor as i guess) it try to invoke sfContext::getInstance()->getRequest(). But sfContext::createInstance($myAppConfiguration) wil be invoked just after constructor of myAppConfiguration will complete and so i get exception with message 'The "default" context does not exist.'. So may be i should move my former config.php code in some other method of myAppConfiguration class to avoid this exception? Any help will be appreciated.

Best regards...
athens52
Member
 
Posts: 49
Joined: Thu Aug 30, 2007 8:59 am